package com.bonus.canteen.core.nutrition.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.nutrition.common.model.HealthInfoChronic;

import java.util.List;

public interface HealthInfoChronicService extends IService<HealthInfoChronic> {
   void insertAssociateBatch(Long custId, List<Long> chronicIds);

   List<Long> listChronicIdByCustId(Long custId);

   List<HealthInfoChronic> listChronicByCustIds(List<Long> custIds);
}
